gnash-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Gnash-commit] /srv/bzr/gnash/trunk r11897: configure with --enable-docb


From: Rob Savoye
Subject: [Gnash-commit] /srv/bzr/gnash/trunk r11897: configure with --enable-docbook in debian/rules.
Date: Thu, 04 Feb 2010 09:39:09 -0700
User-agent: Bazaar (2.0.2)

------------------------------------------------------------
revno: 11897
committer: Rob Savoye <address@hidden>
branch nick: trunk
timestamp: Thu 2010-02-04 09:39:09 -0700
message:
  configure with --enable-docbook in debian/rules.
  put mozill-plugins-gnash in Suggests, not Recommends.
  fix mozilla plugin install scripts to not error out.
modified:
  packaging/debian/control
  packaging/debian/mozilla-plugin-gnash.postinst
  packaging/debian/mozilla-plugin-gnash.prerm
  packaging/debian/rules
=== modified file 'packaging/debian/control'
--- a/packaging/debian/control  2010-02-04 02:05:22 +0000
+++ b/packaging/debian/control  2010-02-04 16:39:09 +0000
@@ -30,8 +30,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libgstreamer-plugins-base0.10-0, 
libgstreamer0.10-0, libxml2, libgif4, libfreetype6, zlib1g, libstdc++6, 
libfontconfig1, libx11-6, libboost-thread1.40.0 | libboost-thread1.39 | 
libboost-thread1.38.0 | libboost-thread1.37 | libboost-thread1.36 | 
libboost-thread1.35.0 | libboost-thread1.34.1 | libboost-thread, 
libboost-date-time1.40.0 | libboost-date-time1.39 | libboost-date-time1.38.0 | 
libboost-date-time1.37 | libboost-date-time1.36 | libboost-date-time1.35.0 |  
libboost-date-time1.34.1 | libboost-date-time, gstreamer0.10-plugins-bad, 
gstreamer0.10-fluendo-mp3, gstreamer0.10-ffmpeg
-Suggests: gstreamer0.10-alsa
-Recommends: mozilla-plugin-gnash (= ${binary:Version})
+Suggests: mozilla-plugin-gnash (= ${binary:Version})
 Conflicts: libgnash0 (<< 0.8.1~), gnash (<< 0.8.1~), libklash0 (<< 0.8.1~), 
gnash-common-opengl
 Description: free SWF movie player - common files/libraries
  Gnash is a free Flash movie player, which works either standalone, or as

=== modified file 'packaging/debian/mozilla-plugin-gnash.postinst'
--- a/packaging/debian/mozilla-plugin-gnash.postinst    2010-01-29 21:38:13 
+0000
+++ b/packaging/debian/mozilla-plugin-gnash.postinst    2010-02-04 16:39:09 
+0000
@@ -3,19 +3,21 @@
 set -e
 
 case "$1" in
-        configure)
-         for p in iceweasel mozilla firefox xulrunner midbrowser; do 
-           update-alternatives --install 
"/usr/lib/$p/plugins/flashplugin-alternative.so" "$p-flashplugin" 
/usr/lib/mozilla/plugins/libgnashplugin.so 50;
-          done
-        ;;
-        abort-upgrade|abort-remove|abort-deconfigure)
-            echo "postinst called with argument \`$1'" >&2
-            exit 1
-        ;;
-
-        *)
-            echo "postinst called with unknown argument \`$1'" >&2
-            exit 1
+    configure)
+       for p in mozilla firefox iceweasel xulrunner midbrowser; do 
+           if test -d "/usr/lib/$p/plugins"; then
+               update-alternatives --install 
"/usr/lib/$p/plugins/flashplugin-alternative.so" "$p-flashplugin" 
/usr/lib/mozilla/plugins/libgnashplugin.so 50;
+           fi
+       done
+        ;;
+    abort-upgrade|abort-remove|abort-deconfigure)
+        echo "postinst called with argument \`$1'" >&2
+        exit 1
+        ;;
+    
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
         ;;
 esac
 

=== modified file 'packaging/debian/mozilla-plugin-gnash.prerm'
--- a/packaging/debian/mozilla-plugin-gnash.prerm       2009-12-20 20:44:07 
+0000
+++ b/packaging/debian/mozilla-plugin-gnash.prerm       2010-02-04 16:39:09 
+0000
@@ -3,29 +3,31 @@
 set -e
 
 case "$1" in
-        remove|upgrade|deconfigure)
-                for p in iceweasel mozilla firefox xulrunner midbrowser; do 
-                       update-alternatives --remove "$p-flashplugin" 
/usr/lib/mozilla/plugins/libgnashplugin.so;
-                done
-                ;;
-        failed-upgrade)
-               if dpkg --compare-versions "$2" ">>"  
0.8.1~trunk.070802-0ubuntu3 &&
-                  dpkg --compare-versions "$2" "<<" 0.8.1~trunk.070802-0ubuntu5
-               then 
-                  for p in arora iceweasel mozilla firefox xulrunner 
midbrowser; do 
-                        update-alternatives --remove "$p-flashplugin" 
/usr/lib/mozilla/plugins/libgnashplugin.so;
-                        [ `update-alternatives --list "$p-flashplugin" | wc 
-l` = 0 ]  && \
-                                update-alternatives --remove-all 
"$p-flashplugin"
-                  done
-               else            
-                 echo "prerm called with argument \`$1'" >&2
-                  exit 1
-               fi                
-               ;;
-        *)
-                echo "prerm called with unknown argument \`$1'" >&2
-                exit 1
-                ;;
+    remove|upgrade|deconfigure)
+        for p in mozilla firefox iceweasel xulrunner midbrowser; do 
+           if test -d "/usr/lib/$p/plugins"; then
+                update-alternatives --remove "$p-flashplugin" 
/usr/lib/mozilla/plugins/libgnashplugin.so;
+           fi
+        done
+        ;;
+    failed-upgrade)
+       if dpkg --compare-versions "$2" ">>"  0.8.5~trunk.070802-0ubuntu3 &&
+           dpkg --compare-versions "$2" "<<" 0.8.5~trunk.070802-0ubuntu5
+       then 
+           for p in mozilla firefox arora iceweasel xulrunner midbrowser; do 
+                update-alternatives --remove "$p-flashplugin" 
/usr/lib/mozilla/plugins/libgnashplugin.so;
+                [ `update-alternatives --list "$p-flashplugin" | wc -l` = 0 ]  
&& \
+                    update-alternatives --remove-all "$p-flashplugin"
+           done
+       else            
+           echo "prerm called with argument \`$1'" >&2
+            exit 1
+       fi                
+       ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+        ;;
 esac
 
 #DEBHELPER#

=== modified file 'packaging/debian/rules'
--- a/packaging/debian/rules    2010-02-03 19:33:38 +0000
+++ b/packaging/debian/rules    2010-02-04 16:39:09 +0000
@@ -68,6 +68,7 @@
                --enable-sdkinstall \
                --disable-testsuite \
                --enable-media=gst \
+               --enable-docbook \
                --enable-gui=gtk,kde4 \
                --enable-renderer=agg \
                --with-plugins-install=system


reply via email to

[Prev in Thread] Current Thread [Next in Thread]